# Note that this is NOT a relocatable package
Summary: GNOME utility programs.
Name: gnome-utils
Version: 1.4.0
Release: 9
Epoch: 1
License: GPL
Group: Applications/System
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-utils/gnome-utils-%{version}.tar.gz
Source1: dialog-prefs.glade
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: gnome
URL: http://www.gnome.org

Source2: gnome-utils-pofiles.tar.gz

Patch: gnome-utils-1.0.12-fixdistr.patch
Patch2: gnome-utils-1.0.1-sparkle.patch
Patch4: gnome-utils-1.4.0.removeapps.patch
Patch5: gnome-utils-1.2.0-errordialog.patch
Patch6: gnome-utils-1.4.0-cflags.patch
Patch7: gnome-utils-1.4.0-autofoo.patch
Patch8: gnome-utils-1.4.0-newlines.patch

BuildRequires: gnome-libs-devel
BuildRequires: /usr/bin/automake-1.4
BuildRequires: libglade-devel

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The gnome-utils package
includes a set of utilities for GNOME, including Gcalc, Gdialog,
Gdiskfree, and many others.

%prep
%setup -q

%patch -p1 -b .fixdistr
%patch2 -p1 -b .sparkle
%patch4 -p1 -b .removeapps
%patch5 -p1 -b .errordialog
%patch6 -p1 -b .cflags
%patch8 -p1 -b .newlines

# translations
tar zxf %{SOURCE2}

%build

%ifarch alpha
MIEEE_FLAG="-mieee"
%endif

aclocal-1.4 -I macros
automake-1.4
patch -p1 -b --suffix .autofoo < %{PATCH7}
autoconf
CFLAGS="$RPM_OPT_FLAGS $MIEEE_FLAG -DWITH_SPARKLES" %configure
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

# sorry alan, new users will never get rid of this :)
rm -f $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Utilities/gpenguin.desktop 

# gshutdown isn't what we want at this time
rm -f $RPM_BUILD_ROOT%{_bindir}/gshutdown
rm -f $RPM_BUILD_ROOT%{_datadir}/gnome/apps/*/gshutdown.desktop
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/help/gshutdown

# add dialog-prefs.glade which was missing from upstream tarball (but is in CVS now, 
# so should reappear eventually
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/gcolorsel/glade/dialog-prefs.glade

%find_lang %name
%find_lang gfloppy

cat %{name}.lang gfloppy.lang > pofiles

%clean
rm -rf $RPM_BUILD_ROOT

%files -f pofiles
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/gnome/*
%{_datadir}/gnome-utils/*
%{_datadir}/gcolorsel/*
%{_datadir}/mime-info/*


%changelog
* Mon Apr 15 2002 Havoc Pennington <hp@redhat.com>
- merge translations

* Tue Mar  5 2002 Havoc Pennington <hp@redhat.com>
- put gdialog back since the nautilus scripts fad has everyone asking for it,
  #54415
- depend on automake-1.4 binary instead of automake14
- strip trailing newline from data in guname, #52598
- build requires libglade-devel

* Tue Feb  5 2002 Bill Nottingham <notting@redhat.com>
- get rid of weird binary names

* Wed Jan 30 2002 Jonathan Blandford <jrb@redhat.com>
- Rebuild package.

* Mon Jan 21 2002 Havoc Pennington <hp@redhat.com>
- automake14
- /usr/foo to bindir etc.
- use makeinstall and configure macros
- patch for glade header move

* Mon Aug 27 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Thu Apr 19 2001 Jonathan Blandford <jrb@redhat.com>
- new version

* Thu Mar 15 2001 Havoc Pennington <hp@redhat.com>
- translations

* Fri Feb 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- use %%{_tmppath}
- move changelog to end of file
- langify, remember to run %%find_lang twice as there
  are two different sets of locale files

* Thu Feb 08 2001 Owen Taylor <otaylor@redhat.com>
- Fix missing gfloppy.keys, gfloppy.mime files

* Mon Jan 29 2001 Havoc Pennington <hp@redhat.com>
- add dialog-prefs.glade file which was missing from upstream tarball; 
  fixes #25036

* Fri Jan 19 2001 Havoc Pennington <hp@redhat.com>
- 1.2.1
- remove patch for gdict segfault, fixed upstream
- remove logview, cromagnon, gdiskfree, gstripchart, 
  splash, gdialog, gw, idetool
- run automake so removals take effect

* Mon Aug 21 2000 Havoc Pennington <hp@redhat.com>
- patch from Tim Waugh to fix segfault on cancel in the settings
  dialog; bug 16477
- put in an error dialog if no DNS, bug 16475

* Mon Aug 21 2000 Havoc Pennington <hp@redhat.com>
- Put gcolorsel glade files in the file list, closes
  14314

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Sat Aug 05 2000 Havoc Pennington <hp@redhat.com>
- Use mail not mailx in guname, bug 14316

* Mon Jul 17 2000 Havoc Pennington <hp@redhat.com>
- remove Docdir

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Elliot Lee <sopwith@redhat.com>
- 1.2.0

* Fri May 19 2000 Havoc Pennington <hp@redhat.com>
- Add gfloppy .glade file to file list

* Fri May 19 2000 Havoc Pennington <hp@redhat.com>
- 1.1.0; remove man pages glob from file list (upstream no 
  longer comes with man pages)

* Thu May 11 2000 Matt Wilson <msw@redhat.com>
- 1.0.51

* Mon Feb 14 2000 Elliot Lee <sopwith@redhat.com>
- Add -mieee to CFLAGS to fix bug #9346.

* Fri Feb 04 2000 Owen Taylor <otaylor@redhat.com>
- minor patch to fix up size requisition in guname

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- rebuild to pick up gzipped man page

* Thu Feb 3 2000 Jonathan Blandford <jrb@redhat.com>
- added patch to allow negative time to gtt.

* Sun Aug 1 1999 Dax Kelson <dax@gurulabs.com>
- version 1.0.12

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- removed gshutdown (confusing for newbies)

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8

* Sat Feb 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.6

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.3

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.1

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated for GNOME freeze

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>
- Upgraded to 0.30

* Mon Apr  6 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-utils CVS source tree
